@echo off
REM This file will allow editing the wings in the CART2kR1 carset.
if exist hanford.wng goto CREATE
goto ERROR

:ERROR
echo; 
echo;
echo; 
echo;
echo 	This installer will only work on the CART2kR1 carset.
echo;
goto END

:CREATE
cls
echo;
echo Remember to uncheck "read only" on your dat file before running this 
echo CART2kR1 wing editor. 
echo; 
echo;
echo Which set of wings you want to use?
echo;
echo [A] Ordinary rear wing, 1999 style
echo [B] Hanford rear wing, super speedway tracks only
echo [C] Hanford rear wing, all tracks
echo;
choice /c:ABC
if errorlevel 3 GOTO HNFRDBTH
if errorlevel 2 GOTO HNFRDBCK

REM ORDWING
cd..
unpack CART2kR1.dat
copy kits\speedway.wng r_wings.3do
copy kits\roadstr.wng rr_wings.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Speedway wing has been changed to the ordinary rearwing.
GOTO FINISH

:HNFRDBCK
cd..
unpack CART2kR1.dat
copy kits\hanford.wng r_wings.3do
copy kits\roadstr.wng rr_wings.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Speedway wing has been changed to the Hanford rearwing.
GOTO FINISH

:HNFRDBTH
cd..
unpack CART2kR1.dat
copy kits\hanford.wng r_wings.3do
copy kits\hanford.wng rr_wings.3do
pack CART2kR1.pck
cls
echo Cleaning up...
del *.3do
del *.mip
del *.pmp
del *.pcx
del *.pck
echo.
echo Done.
echo Both rear wings have been changed to the Hanford wing.

:FINISH
echo; 
echo;
echo			CART2kR1 Wing Changer is a compilation of
echo			Robert Szikszo's individual wing batch files 
echo			and was created by Edwin Roman, 5/28/00.
echo; 
echo			Questions?  Comments?  E-mail us!
echo			szikszo@engineer.com
echo			edwrom@pcspower.net 
:END
